This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 425874

Summary: Thinkpad brightness controls don't work in X
Product: [Fedora] Fedora Reporter: Chris Adams <linux>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: tuju
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:31:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Chris Adams 2007-12-16 20:24:51 EST
I have installed F8 on a Thinkpad Z60m and loaded all updates.  The Fn+HOME and
Fn+END do not change the brightness in X.  If I switch to a text console, they
work (but switching back to X goes back to the previous brightness).  Also,
echoing into /proc/acpi/ibm/brightness does not work; depending on the initial
state, the file doesn't exist and the following is in the kernel log:

thinkpad_acpi: CMOS NVRAM (6) and EX (0) do not agree on display brightness level

This all works in FC6 on the same notebook.
Comment 1 Chris Adams 2007-12-17 12:36:07 EST
I updated to xorg-x11-drv-ati-6.7.196-4.fc8 from updates-testing, and I have
brightness hot-keys back.  thinkpad_acpi is still unhappy (same error and no
/proc/acpi/ibm/brightness), but the functionality works in X.  The Bluetooth
enable/disable doesn't work from Fn+F5, but does with /proc/acpi/ibm/bluetooth,
so there is still some "oddness" with thinkpad_acpi (stuff that worked before).
Comment 2 Bug Zapper 2008-11-26 04:02:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:31:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.